Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::CRL_ReasonCode Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_ReasonCode:

## Public Member Functions
CRL_ReasonCode * | copy () const override
| CRL_ReasonCode (CRL_Code r=UNSPECIFIED)
CRL_Code | get_reason () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate > > &cert_path, std::vector< std::set< Certificate_Status_Code > > &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

CRL Entry Reason Code Extension

Definition at line 363 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ CRL_ReasonCode()

Botan::Cert_Extension::CRL_ReasonCode::CRL_ReasonCode | ( | CRL_Code | r = `UNSPECIFIED` | ) |
| inline explicit

Definition at line 369 of file x509_ext.h.

369: m_reason(r) {}

## Member Function Documentation

## ◆ copy()

CRL_ReasonCode * Botan::Cert_Extension::CRL_ReasonCode::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 366 of file x509_ext.h.

367 { return new CRL_ReasonCode(m_reason); }
Botan::Cert_Extension::CRL_ReasonCode::CRL_ReasonCode
CRL_ReasonCode(CRL_Code r=UNSPECIFIED)
Definition: x509_ext.h:369

## ◆ get_reason()

CRL_Code Botan::Cert_Extension::CRL_ReasonCode::get_reason | ( |  | ) | const
| inline

Definition at line 371 of file x509_ext.h.

371{ return m_reason; }

## ◆ oid_of()

OID Botan::Cert_Extension::CRL_ReasonCode::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 374 of file x509_ext.h.

374{ return static_oid(); }
Botan::Cert_Extension::CRL_ReasonCode::static_oid
static OID static_oid()
Definition: x509_ext.h:373

## ◆ static_oid()

static OID Botan::Cert_Extension::CRL_ReasonCode::static_oid | ( |  | ) |
| inline static

Definition at line 373 of file x509_ext.h.

373{ return OID("2.5.29.21"); }

## ◆ validate()

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate > > & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code > > & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Name_Constraints, and Botan::Cert_Extension::Certificate_Policies.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp